GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Slots | Signals | Public Member Functions | Protected Member Functions | Private Slots | Private Member Functions | Private Attributes | List of all members
GpgFrontend::UI::FilePage Class Reference
Inheritance diagram for GpgFrontend::UI::FilePage:
Collaboration diagram for GpgFrontend::UI::FilePage:

## Public Slots
void | SlotGoPath ()

## Signals
void | SignalPathChanged (const QString &path)
void | SignalRefreshInfoBoard (const QString &text, InfoBoardStatus verify_label_status)

## Public Member Functions
| FilePage (QWidget *parent=nullptr)
| Construct a new File Page object. More...
QString | GetSelected () const
| Get the Selected object. More...

## Protected Member Functions
void | keyPressEvent (QKeyEvent *event) override
void | onCustomContextMenu (const QPoint &point)

## Private Slots
void | slot_file_tree_view_item_clicked (const QModelIndex &index)
void | slot_file_tree_view_item_double_clicked (const QModelIndex &index)
void | slot_up_level ()
void | slot_open_item ()
void | slot_open_item_by_system_application ()
void | slot_rename_item ()
void | slot_delete_item ()
void | slot_calculate_hash ()
void | slot_mkdir ()
void | slot_create_empty_file ()
void | slot_compress_files ()
| compress directory into gpg-zip

## Private Member Functions
void | create_popup_menu ()
| Create a popup menu object.

## Private Attributes
std::shared_ptr< Ui_FilePage > | ui_
QFileSystemModel * | dir_model_
QCompleter * | path_edit_completer_
QStringListModel * | path_complete_model_
std::filesystem::path | m_path_
std::filesystem::path | selected_path_
QMenu * | popup_menu_ {}
QMenu * | option_popup_menu_ {}
QWidget * | first_parent_ {}

## Constructor & Destructor Documentation

## ◆ FilePage()

GpgFrontend::UI::FilePage::FilePage | ( | QWidget * | parent = `nullptr` | ) |
| explicit

Construct a new File Page object.

Parameters

  parent |

References create_popup_menu(), onCustomContextMenu(), slot_file_tree_view_item_clicked(), and slot_file_tree_view_item_double_clicked().

## Member Function Documentation

## ◆ GetSelected()

QString GpgFrontend::UI::FilePage::GetSelected | ( |  | ) | const

Get the Selected object.

Returns
  QString

Referenced by GpgFrontend::UI::MainWindow::SlotFileDecrypt(), GpgFrontend::UI::MainWindow::SlotFileDecryptVerify(), GpgFrontend::UI::MainWindow::SlotFileEncrypt(), GpgFrontend::UI::MainWindow::SlotFileEncryptSign(), GpgFrontend::UI::MainWindow::SlotFileSign(), and GpgFrontend::UI::MainWindow::SlotFileVerify().

## ◆ keyPressEvent()

void GpgFrontend::UI::FilePage::keyPressEvent | ( | QKeyEvent * | event | ) |
| override protected

Parameters

  event |

## ◆ onCustomContextMenu()

void GpgFrontend::UI::FilePage::onCustomContextMenu | ( | const QPoint & | point | ) |
| protected

Parameters

  point |

Referenced by FilePage().

## ◆ SignalPathChanged

void GpgFrontend::UI::FilePage::SignalPathChanged | ( | const QString & | path | ) |
| signal

Parameters

  path |

## ◆ SignalRefreshInfoBoard

void GpgFrontend::UI::FilePage::SignalRefreshInfoBoard | ( | const QString & | text,
|  | InfoBoardStatus | verify_label_status
| ) |  |
| signal

Parameters

  text |
  verify_label_status |

## ◆ slot_file_tree_view_item_clicked

void GpgFrontend::UI::FilePage::slot_file_tree_view_item_clicked | ( | const QModelIndex & | index | ) |
| private slot

Parameters

  index |

Referenced by FilePage().

## ◆ slot_file_tree_view_item_double_clicked

void GpgFrontend::UI::FilePage::slot_file_tree_view_item_double_clicked | ( | const QModelIndex & | index | ) |
| private slot

Parameters

  index |

Referenced by FilePage().

The documentation for this class was generated from the following files:

- src/ui/widgets/FilePage.h
- src/ui/widgets/FilePage.cpp